Bug 153657 - [patch] make lang/python26 work on powerpc
Summary: [patch] make lang/python26 work on powerpc
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-01-03 19:20 UTC by Andreas Tobler
Modified: 2011-02-25 00:00 UTC (History)
0 users

See Also:


Attachments
file.diff (320 bytes, patch)
2011-01-03 19:20 UTC, Andreas Tobler
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Tobler freebsd_committer 2011-01-03 19:20:11 UTC
The attached patch makes python26 build on powerpc.
Additionally we need a fix for mtree, see below.

[andreast@wolfram] /usr/ports/lang/python26/> diff -u pkg-plist.orig 
pkg-plist
--- pkg-plist.orig	2010-08-11 22:50:17.000000000 +0200
+++ pkg-plist	2010-08-11 22:50:32.000000000 +0200
@@ -827,7 +827,7 @@
  %%PYTHON_LIBDIR%%/lib-dynload/fcntl.so
  %%PYTHON_LIBDIR%%/lib-dynload/future_builtins.so
  %%PYTHON_LIBDIR%%/lib-dynload/grp.so
-%%X86_ONLY%%%%PYTHON_LIBDIR%%/lib-dynload/imageop.so
+%%32BIT_ONLY%%%%PYTHON_LIBDIR%%/lib-dynload/imageop.so
  %%PYTHON_LIBDIR%%/lib-dynload/itertools.so
  %%PYTHON_LIBDIR%%/lib-dynload/math.so
  %%PYTHON_LIBDIR%%/lib-dynload/mmap.so

Fix: Attached.

Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-01-03 19:20:18 UTC
Responsible Changed
From-To: freebsd-ports-bugs->freebsd-python

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 swell.k 2011-01-03 19:51:59 UTC
Andreas Tobler <andreast@FreeBSD.org> writes:

> --- Modules/_ctypes/libffi/src/powerpc/ffitarget.h.orig	2009-12-28 12:29:03.000000000 +0000
> +++ Modules/_ctypes/libffi/src/powerpc/ffitarget.h	2009-12-28 12:30:11.000000000 +0000
> @@ -78,6 +78,8 @@
>    FFI_SYSV,
>    FFI_GCC_SYSV,
>    FFI_LINUX64,
> +  FFI_LINUX,
> +  FFI_LINUX_SOFT_FLOAT,
>    FFI_DEFAULT_ABI = FFI_SYSV,
>  #endif

Alternatively, one can use non-bundled version of libffi -
devel/libffi (3.0.9), e.g. ports/146823.

  lang/python25 contains libffi-2.1
  lang/python26 contains libffi-3.0.5
  lang/python27 contains libffi-3.0.10
Comment 3 Mark Linimon freebsd_committer freebsd_triage 2011-02-22 05:24:53 UTC
State Changed
From-To: open->analyzed

I have run a slightly different patch on both amd64-8-exp and powerpc-8 
and intend to commit it post-slush. 


Comment 4 Mark Linimon freebsd_committer freebsd_triage 2011-02-22 05:24:53 UTC
Responsible Changed
From-To: freebsd-python->linimon
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2011-02-24 23:50:18 UTC
State Changed
From-To: analyzed->closed

I have committed a slightly different patch for python24 and python25 
after testing on both powerpc (32-bit) and i386.
Comment 6 dfilter service freebsd_committer 2011-02-24 23:50:32 UTC
linimon     2011-02-24 23:50:26 UTC

  FreeBSD ports repository

  Added files:
    lang/python26/files  
                         patch-Modules-_ctypes-libffi-src-powerpc-ffitarget.h 
  Log:
  Changes to make python ports work on powerpc (32-bit mode; 64-bit not
  yet tested).
  
  Tested on:      powerpc, i386
  Hat:            portmgr
  PR:             ports/153657 (partial)
  Submitted by:   andreast
  
  Revision  Changes    Path
  1.1       +10 -0     ports/lang/python26/files/patch-Modules-_ctypes-libffi-src-powerpc-ffitarget.h (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2011-02-24 23:50:35 UTC
linimon     2011-02-24 23:50:26 UTC

  FreeBSD ports repository

  Modified files:
    lang/python25        Makefile pkg-plist 
  Log:
  Changes to make python ports work on powerpc (32-bit mode; 64-bit not
  yet tested).
  
  Tested on:      powerpc, i386
  Hat:            portmgr
  PR:             ports/153657 (partial)
  Submitted by:   andreast
  
  Revision  Changes    Path
  1.161     +0 -5      ports/lang/python25/Makefile
  1.76      +2 -2      ports/lang/python25/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2011-02-24 23:50:40 UTC
linimon     2011-02-24 23:50:26 UTC

  FreeBSD ports repository

  Modified files:
    lang/python26        Makefile pkg-plist 
  Log:
  Changes to make python ports work on powerpc (32-bit mode; 64-bit not
  yet tested).
  
  Tested on:      powerpc, i386
  Hat:            portmgr
  PR:             ports/153657 (partial)
  Submitted by:   andreast
  
  Revision  Changes    Path
  1.169     +0 -5      ports/lang/python26/Makefile
  1.82      +1 -1      ports/lang/python26/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 dfilter service freebsd_committer 2011-02-24 23:50:45 UTC
linimon     2011-02-24 23:50:27 UTC

  FreeBSD ports repository

  Modified files:
    lang/python26        Makefile pkg-plist 
  Log:
  Changes to make python ports work on powerpc (32-bit mode; 64-bit not
  yet tested).
  
  Tested on:      powerpc, i386
  Hat:            portmgr
  PR:             ports/153657 (partial)
  Submitted by:   andreast
  
  Revision  Changes    Path
  1.170     +5 -0      ports/lang/python26/Makefile
  1.83      +1 -1      ports/lang/python26/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 dfilter service freebsd_committer 2011-02-24 23:50:46 UTC
linimon     2011-02-24 23:50:27 UTC

  FreeBSD ports repository

  Modified files:
    lang/python26/files  patch-Modules-_ctypes-libffi-configure 
  Log:
  Changes to make python ports work on powerpc (32-bit mode; 64-bit not
  yet tested).
  
  Tested on:      powerpc, i386
  Hat:            portmgr
  PR:             ports/153657 (partial)
  Submitted by:   andreast
  
  Revision  Changes    Path
  1.4       +1 -1      ports/lang/python26/files/patch-Modules-_ctypes-libffi-configure
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"